/**
 * 
 */
package modeles;

/**
 * @author Nicolas
 *
 */
public class Monstre extends EtreVivant {
	/**
	 * @param arme
	 * @param armure
	 * @param bourse
	 */
	public Monstre(String nom,int pVimax,  int pAttaque) {
		super(nom, pVimax, pAttaque);
		
	}
	
	public int attaquer(Personnage def) {
		int pAttaqueLoc;
		pAttaqueLoc=this.getpAttaque()-(def.getArmure().getpArmure());
	 	def.pVie=pAttaqueLoc;
	 	return pAttaqueLoc;
	 	
}
	
	
	
}
